I recently got a disjoint set problem (similar to number of islands of Leetcode) in an interview and the interviewer made me solve it using a DFS approach instead of a union find. Also I realized that most interviewers prefer that I solve the Leetcode problems in TypeScript and don't like Python
Solving algorithm problems is different in interviews than on Leetcode
I failed every LeetCode style interview I've ever attempted. I mean, I'm lucky to even be filtered for the interview nowadays..
However, I failed not because I couldn't solve the problems. I solved them (honestly, without any AI). I just rarely solved them the way the interviewer wanted.
I recently got a disjoint set problem (similar to number of islands of Leetcode) in an interview and the interviewer made me solve it using a DFS approach instead of a union find. Also I realized that most interviewers prefer that I solve the Leetcode problems in TypeScript and don't like Python
Solving algorithm problems is different in interviews than on Leetcode
I failed every LeetCode style interview I've ever attempted. I mean, I'm lucky to even be filtered for the interview nowadays.. However, I failed not because I couldn't solve the problems. I solved them (honestly, without any AI). I just rarely solved them the way the interviewer wanted.
Modern Signal Processing 101: there are low-pass, high-pass, and leetcode filters.